Package org.drinkless.tdlib

# Class TdApi.SearchChatMembers

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.Function<TdApi.ChatMembers>
org.drinkless.tdlib.TdApi.SearchChatMembers

Enclosing class:
  `TdApi`

public static class TdApi.SearchChatMembers extends TdApi.Function<TdApi.ChatMembers>
Searches for a specified query in the first name, last name and usernames of the members of a specified chat. Requires administrator rights if the chat is a channel.

Returns `ChatMembers`

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.Function

  `TdApi.Function.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `long`
  `chatId`
  Chat identifier.
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `TdApi.ChatMembersFilter`
  `filter`
  The type of users to search for; pass null to search among all chat members.
  `int`
  `limit`
  The maximum number of users to be returned; up to 200.
  `String`
  `query`
  Query to search for.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SearchChatMembers()`
  Default constructor for a function, which searches for a specified query in the first name, last name and usernames of the members of a specified chat.
  `SearchChatMembers(long chatId, String query, int limit, TdApi.ChatMembersFilter filter)`
  Creates a function, which searches for a specified query in the first name, last name and usernames of the members of a specified chat.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Function

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### chatId

    public long chatId
    Chat identifier.

  - ### query

    public String query
    Query to search for.

  - ### limit

    public int limit
    The maximum number of users to be returned; up to 200.

  - ### filter

    public TdApi.ChatMembersFilter filter
    The type of users to search for; pass null to search among all chat members.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### SearchChatMembers

    public SearchChatMembers()
    Default constructor for a function, which searches for a specified query in the first name, last name and usernames of the members of a specified chat. Requires administrator rights if the chat is a channel.

    Returns `ChatMembers`

  - ### SearchChatMembers

    public SearchChatMembers(long chatId, String query, int limit, TdApi.ChatMembersFilter filter)
    Creates a function, which searches for a specified query in the first name, last name and usernames of the members of a specified chat. Requires administrator rights if the chat is a channel.

    Returns `ChatMembers`

    Parameters:
      `chatId` - Chat identifier.
      `query` - Query to search for.
      `limit` - The maximum number of users to be returned; up to 200.
      `filter` - The type of users to search for; pass null to search among all chat members.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Function<TdApi.ChatMembers>`
    Returns:
      this.CONSTRUCTOR